Manifest-Version: 1.0
Bnd-LastModified: 1712141908558
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 59.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="3.0.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.5.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.3.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.action;version="1.1.1";uses:="com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,javax.servlet.http",com.liferay.asset.ke
 rnel.exception;version="2.3.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="8.0.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="2.2.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="7.1.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="9.0.0";uses:="com.liferay.a
 sset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.persistence,com.liferay.portal.kernel.service.persis
 tence.change.tracking,com.liferay.portal.kernel.util",com.liferay.ass
 et.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.
 background.task.kernel.util.comparator;version="1.1.0";uses:="com.lif
 eray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",com
 .liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.ex
 ception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",c
 om.liferay.counter.kernel.model;version="3.0.0";uses:="com.liferay.pe
 tra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.
 annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kerne
 l.util",com.liferay.counter.kernel.service;version="2.1.0";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.transaction",com.liferay.counter.kernel.servi
 ce.persistence;version="2.0.2",com.liferay.document.library.kernel;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .document.library.kernel.antivirus;version="3.1.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.document.library.kernel.documen
 t.conversion;version="1.0.0",com.liferay.document.library.kernel.exce
 ption;version="3.4.0";uses:="com.liferay.portal.kernel.exception",com
 .liferay.document.library.kernel.model;version="6.0.0";uses:="com.lif
 eray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,com
 .liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifera
 y.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay
 .portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 util,com.liferay.trash.kernel.model",com.liferay.document.library.ker
 nel.service;version="6.2.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.document.library.kernel.exception,com.liferay.document.libra
 ry.kernel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.e
 xportimport.kernel.lar,com.liferay.petra.function,com.liferay.petra.s
 ql.dsl.query,com.liferay.portal.kernel.cache.thread.local,com.liferay
 .portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.increment,c
 om.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.loc
 k,com.liferay.portal.kernel.messaging.async,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.access.control,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.change
 .tracking,com.liferay.portal.kernel.service.permission,com.liferay.po
 rtal.kernel.service.persistence.change.tracking,com.liferay.portal.ke
 rnel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.po
 rtal.kernel.util",com.liferay.document.library.kernel.service.persist
 ence;version="5.0.0";uses:="com.liferay.document.library.kernel.excep
 tion,com.liferay.document.library.kernel.model,com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util",com.liferay.document.
 library.kernel.store;version="3.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.transaction",com.liferay.documen
 t.library.kernel.util;version="7.0.0";uses:="com.liferay.document.lib
 rary.kernel.exception,com.liferay.document.library.kernel.model,com.l
 iferay.exportimport.kernel.lar,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.them
 e,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.
 portlet",com.liferay.document.library.kernel.util.comparator;version=
 "2.1.0";uses:="com.liferay.document.library.kernel.model,com.liferay.
 portal.kernel.repository.model,com.liferay.portal.kernel.util",com.li
 feray.document.library.kernel.versioning;version="1.0.0";uses:="com.l
 iferay.document.library.kernel.model",com.liferay.dynamic.data.mappin
 g.kernel;version="2.0.0";uses:="com.liferay.expando.kernel.model,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.
 expando.kernel.exception;version="1.1.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.expando.kernel.model;version="4.1.0";uses
 :="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifer
 ay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.model.change.tracking,c
 om.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.util",com.liferay.expando.kernel.model.
 adapter;version="2.4.0";uses:="com.liferay.expando.kernel.model,com.l
 iferay.portal.kernel.model",com.liferay.expando.kernel.service;versio
 n="1.8.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.f
 unction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cha
 nge.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kerne
 l.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.security.access.control,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.service.change.
 tracking,com.liferay.portal.kernel.service.persistence.change.trackin
 g,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.uti
 l",com.liferay.expando.kernel.service.permission;version="1.0.0";uses
 :="com.liferay.expando.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.security.permission",com.liferay.expando
 .kernel.service.persistence;version="3.2.0";uses:="com.liferay.expand
 o.kernel.exception,com.liferay.expando.kernel.model,com.liferay.porta
 l.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence,com.liferay.portal.kernel.service.persist
 ence.change.tracking,com.liferay.portal.kernel.util",com.liferay.expa
 ndo.kernel.util;version="4.0.0";uses:="com.liferay.expando.kernel.mod
 el,com.liferay.portal.kernel.service",com.liferay.exportimport.kernel
 .background.task;version="1.3.1",com.liferay.exportimport.kernel.conf
 iguration;version="5.0.0";uses:="com.liferay.exportimport.kernel.mode
 l,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,javax.portlet",com.liferay.
 exportimport.kernel.configuration.constants;version="1.0.0",com.lifer
 ay.exportimport.kernel.controller;version="2.0.0";uses:="com.liferay.
 exportimport.kernel.lar,com.liferay.exportimport.kernel.model",com.li
 feray.exportimport.kernel.exception;version="2.0.0";uses:="com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception",com.li
 feray.exportimport.kernel.lar;version="4.2.0";uses:="com.liferay.expa
 ndo.kernel.model,com.liferay.exportimport.kernel.model,com.liferay.po
 rtal.kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.lock,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.repository.model,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.por
 tal.kernel.zip,javax.portlet",com.liferay.exportimport.kernel.lifecyc
 le;version="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.lif
 eray.exportimport.kernel.model,com.liferay.portal.kernel.model",com.l
 iferay.exportimport.kernel.lifecycle.constants;version="1.0.0",com.li
 feray.exportimport.kernel.model;version="4.0.0";uses:="com.liferay.pe
 tra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.
 annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mo
 del.wrapper,com.liferay.portal.kernel.util,com.liferay.trash.kernel.m
 odel",com.liferay.exportimport.kernel.service;version="2.7.0";uses:="
 com.liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.m
 odel,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.or
 m,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.jsonw
 ebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.access.control,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifera
 y.portal.kernel.transaction,com.liferay.portal.kernel.util,javax.port
 let",com.liferay.exportimport.kernel.service.persistence;version="2.4
 .0";uses:="com.liferay.exportimport.kernel.exception,com.liferay.expo
 rtimport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.util",com.liferay.exportimport.kernel.staging
 ;version="2.2.0";uses:="com.liferay.exportimport.kernel.lar,com.lifer
 ay.exportimport.kernel.model,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.auth,com.liferay.portal.kernel.util,com.life
 ray.portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.portle
 t,javax.servlet.http",com.liferay.exportimport.kernel.staging.constan
 ts;version="1.0.0",com.liferay.exportimport.kernel.staging.permission
 ;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.permission",com.liferay.exportimport.kernel.xst
 ream;version="2.0.0",com.liferay.layout.admin.kernel.model;version="1
 .0.0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.admi
 n.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.theme,c
 om.liferay.portal.kernel.util,com.liferay.portal.kernel.xml",com.life
 ray.layout.admin.kernel.visibility;version="2.0.0",com.liferay.layout
 .seo.kernel;version="2.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util",com.liferay.layouts.admin.kernel.util;ve
 rsion="59.0.1",com.liferay.mail.kernel.model;version="1.1.0";uses:="j
 avax.mail.internet",com.liferay.mail.kernel.service;version="2.0.0";u
 ses:="com.liferay.mail.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.transaction,javax.mail",com.liferay.mail
 .kernel.template;version="2.0.0";uses:="com.liferay.portal.kernel.uti
 l",com.liferay.mail.kernel.util;version="1.0.0";uses:="com.liferay.ma
 il.kernel.model",com.liferay.membership.requests.kernel.util.comparat
 or;version="1.1.0";uses:="com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.annotation;version="7.
 0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.liferay.portal
 .kernel.application.type;version="1.0.0",com.liferay.portal.kernel.au
 dit;version="7.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.json,com.liferay.portal.kernel.messaging.proxy",c
 om.liferay.portal.kernel.backgroundtask;version="9.0.0";uses:="com.li
 feray.petra.lang,com.liferay.portal.kernel.backgroundtask.display,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.messaging,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.backgroundtask.constants;version="1.0.0"
 ,com.liferay.portal.kernel.backgroundtask.display;version="2.0.0";use
 s:="com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kerne
 l.json,com.liferay.portal.kernel.template,javax.servlet.http",com.lif
 eray.portal.kernel.bean;version="10.0.0";uses:="javax.portlet,javax.s
 ervlet.http",com.liferay.portal.kernel.cache;version="11.0.0";uses:="
 com.liferay.portal.kernel.transaction",com.liferay.portal.kernel.cach
 e.index;version="6.2.0";uses:="com.liferay.portal.kernel.cache",com.l
 iferay.portal.kernel.cache.key;version="8.0.0";uses:="com.liferay.pet
 ra.string",com.liferay.portal.kernel.cache.thread.local;version="2.0.
 0";uses:="com.liferay.portal.kernel.transaction",com.liferay.portal.k
 ernel.cache.transactional;version="3.1.0";uses:="com.liferay.portal.k
 ernel.cache,com.liferay.portal.kernel.transaction",com.liferay.portal
 .kernel.cal;version="6.3.0",com.liferay.portal.kernel.captcha;version
 ="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet,jav
 ax.servlet.http",com.liferay.portal.kernel.change.tracking;version="2
 .1.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.excepti
 on",com.liferay.portal.kernel.cluster;version="8.0.0";uses:="com.life
 ray.portal.kernel.concurrent,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.messaging,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.lif
 eray.portal.kernel.cluster,com.liferay.portal.kernel.messaging",com.l
 iferay.portal.kernel.comment;version="4.0.0";uses:="com.liferay.expor
 timport.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.service,com.li
 feray.ratings.kernel.model",com.liferay.portal.kernel.comment.display
 .context;version="1.0.0";uses:="com.liferay.portal.kernel.comment,com
 .liferay.portal.kernel.display.context,com.liferay.portal.kernel.exce
 ption,javax.servlet.http",com.liferay.portal.kernel.concurrent;versio
 n="8.0.0",com.liferay.portal.kernel.configuration;version="7.0.0",com
 .liferay.portal.kernel.cookies;version="2.0.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.settings,javax.servlet
 .http",com.liferay.portal.kernel.cookies.constants;version="1.0.0",co
 m.liferay.portal.kernel.dao.db;version="10.1.0";uses:="com.liferay.pe
 tra.function,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jd
 bc;version="8.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.
 kernel.dao.jdbc.aop;version="7.0.0";uses:="javax.sql",com.liferay.por
 tal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.liferay.portal.k
 ernel.dao.orm;version="11.0.0";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.l
 iferay.portal.kernel.cache,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.persistence
 .impl,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel
 .util",com.liferay.portal.kernel.dao.search;version="9.0.0";uses:="co
 m.liferay.petra.function,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.
 portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http",co
 m.liferay.portal.kernel.dependency.manager;version="1.2.0",com.lifera
 y.portal.kernel.deploy.auto;version="8.0.0";uses:="com.liferay.portal
 .kernel.deploy.auto.context,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.plugin",com.liferay.portal.kernel.deploy.auto.co
 ntext;version="7.0.0";uses:="com.liferay.portal.kernel.plugin",com.li
 feray.portal.kernel.deploy.hot;version="7.1.2";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.
 portal.kernel.plugin,com.liferay.portal.kernel.util,javax.servlet",co
 m.liferay.portal.kernel.display.context;version="2.0.0";uses:="javax.
 servlet.http,org.osgi.framework",com.liferay.portal.kernel.display.co
 ntext.helper;version="2.0.0";uses:="com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.portlet,com.liferay.portal.kernel.security.p
 ermission,com.liferay.portal.kernel.theme,javax.servlet.http",com.lif
 eray.portal.kernel.editor;version="8.0.0",com.liferay.portal.kernel.e
 ditor.configuration;version="1.1.0";uses:="com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.them
 e",com.liferay.portal.kernel.editor.constants;version="1.0.0",com.lif
 eray.portal.kernel.encryptor;version="1.0.0",com.liferay.portal.kerne
 l.events;version="6.3.0";uses:="com.liferay.portal.kernel.exception,j
 avax.portlet,javax.servlet.http",com.liferay.portal.kernel.exception;
 version="12.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.util",com.lifera
 y.portal.kernel.facebook;version="7.0.0";uses:="com.liferay.portal.ke
 rnel.json,javax.portlet",com.liferay.portal.kernel.format;version="7.
 0.0",com.liferay.portal.kernel.frontend.icons;version="3.0.0";uses:="
 com.liferay.portal.kernel.theme",com.liferay.portal.kernel.group.capa
 bility;version="1.0.0";uses:="com.liferay.portal.kernel.model",com.li
 feray.portal.kernel.image;version="9.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model",com.liferay.portal.k
 ernel.increment;version="7.1.0";uses:="com.liferay.petra.lang",com.li
 feray.portal.kernel.instance.lifecycle;version="2.0.0";uses:="com.lif
 eray.portal.kernel.model",com.liferay.portal.kernel.interval;version=
 "1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.io;version="9.0.0",com.liferay.portal.kernel.io.constants;ve
 rsion="1.0.0",com.liferay.portal.kernel.io.unsync;version="8.0.0";use
 s:="com.liferay.petra.string",com.liferay.portal.kernel.jazzy;version
 ="1.0.0",com.liferay.portal.kernel.jmx.model;version="7.0.0";uses:="j
 avax.management",com.liferay.portal.kernel.jndi;version="7.0.0";uses:
 ="javax.naming",com.liferay.portal.kernel.json;version="10.1.0";uses:
 ="com.liferay.petra.function,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.log",com.liferay.portal.kernel.jsonwebservice;v
 ersion="9.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.por
 tal.kernel.language;version="10.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.resource.bundle,javax.portlet,ja
 vax.servlet.http",com.liferay.portal.kernel.language.constants;versio
 n="1.0.0",com.liferay.portal.kernel.layoutconfiguration.util;version=
 "3.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.lay
 outconfiguration.util.xml,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.template,javax.servlet.http",com.liferay.portal.kernel
 .layoutconfiguration.util.xml;version="1.0.0",com.liferay.portal.kern
 el.license;version="1.0.0",com.liferay.portal.kernel.license.messagin
 g;version="2.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.p
 ortal.kernel.messaging",com.liferay.portal.kernel.license.util;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.license",com.liferay.portal.kernel.lock;version="8.0.0";uses:="c
 om.liferay.portal.kernel.exception",com.liferay.portal.kernel.log;ver
 sion="7.1.0",com.liferay.portal.kernel.login;version="1.0.0",com.life
 ray.portal.kernel.lpkg;version="2.0.0",com.liferay.portal.kernel.mana
 gement;version="8.0.0";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.portal.kernel.management.jmx;version="6.2.0";uses:="com.lif
 eray.portal.kernel.jmx.model,com.liferay.portal.kernel.management,jav
 ax.management",com.liferay.portal.kernel.messaging;version="11.1.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 essaging.sender",com.liferay.portal.kernel.messaging.async;version="6
 .2.0",com.liferay.portal.kernel.messaging.config;version="10.0.0";use
 s:="com.liferay.portal.kernel.messaging",com.liferay.portal.kernel.me
 ssaging.proxy;version="10.0.0";uses:="com.liferay.petra.lang,com.life
 ray.portal.kernel.messaging,com.liferay.portal.kernel.messaging.sende
 r,com.liferay.portal.kernel.spring.aop",com.liferay.portal.kernel.mes
 saging.sender;version="8.0.0";uses:="com.liferay.portal.kernel.messag
 ing",com.liferay.portal.kernel.metadata;version="9.0.0";uses:="com.li
 feray.dynamic.data.mapping.kernel,com.liferay.portal.kernel.exception
 ",com.liferay.portal.kernel.microsofttranslator;version="7.0.0";uses:
 ="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.mobi
 le.device;version="9.0.0";uses:="javax.servlet.http",com.liferay.port
 al.kernel.model;version="16.0.0";uses:="com.liferay.asset.kernel.mode
 l,com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.la
 r,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifera
 y.portal.kernel.annotation,com.liferay.portal.kernel.application.type
 ,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.model.change.
 tracking,com.liferay.portal.kernel.model.portlet,com.liferay.portal.k
 ernel.model.wrapper,com.liferay.portal.kernel.notifications,com.lifer
 ay.portal.kernel.plugin,com.liferay.portal.kernel.poller,com.liferay.
 portal.kernel.pop,com.liferay.portal.kernel.portlet,com.liferay.porta
 l.kernel.scheduler,com.liferay.portal.kernel.search,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.security.permi
 ssion.propagator,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.servlet,com.liferay.portal.kernel.template,com.liferay.portal
 .kernel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.kern
 el.util,com.liferay.portal.kernel.webdav,com.liferay.portal.kernel.wo
 rkflow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xmlrpc
 ,com.liferay.social.kernel.model,com.liferay.trash.kernel.model,javax
 .portlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.
 model.adapter;version="4.0.0";uses:="com.liferay.portal.kernel.model"
 ,com.liferay.portal.kernel.model.adapter.builder;version="1.0.0",com.
 liferay.portal.kernel.model.cache;version="1.0.0",com.liferay.portal.
 kernel.model.change.tracking;version="2.0.0";uses:="com.liferay.porta
 l.kernel.model",com.liferay.portal.kernel.model.dao;version="2.5.0",c
 om.liferay.portal.kernel.model.impl;version="6.0.0";uses:="com.lifera
 y.expando.kernel.model,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.service,javax.servlet.http",com.liferay.port
 al.kernel.model.portlet;version="2.0.0";uses:="com.liferay.petra.stri
 ng,javax.portlet",com.liferay.portal.kernel.model.role;version="1.2.0
 ",com.liferay.portal.kernel.model.version;version="3.0.0",com.liferay
 .portal.kernel.model.wrapper;version="2.0.0";uses:="com.liferay.expan
 do.kernel.model,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.service",com.liferay.portal.kernel.module.configuration;version=
 "2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.settings",com.liferay.portal.
 kernel.module.framework;version="1.4.0",com.liferay.portal.kernel.mod
 ule.framework.service;version="1.0.1";uses:="com.liferay.portal.kerne
 l.transaction,com.liferay.portal.kernel.util",com.liferay.portal.kern
 el.monitoring;version="8.0.0";uses:="com.liferay.portal.kernel.except
 ion,javax.portlet",com.liferay.portal.kernel.notifications;version="9
 .0.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.service",com.liferay.portal.kernel.ope
 nid;version="1.0.0",com.liferay.portal.kernel.parsers.bbcode;version=
 "7.0.0",com.liferay.portal.kernel.patcher;version="8.0.0",com.liferay
 .portal.kernel.plugin;version="7.0.0";uses:="com.liferay.portal.kerne
 l.util",com.liferay.portal.kernel.poller;version="7.0.1";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.lif
 eray.portal.kernel.messaging",com.liferay.portal.kernel.poller.comet;
 version="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.serv
 let.http",com.liferay.portal.kernel.pop;version="7.0.0";uses:="com.li
 feray.portal.kernel.exception,javax.mail",com.liferay.portal.kernel.p
 ortlet;version="19.0.0";uses:="com.liferay.asset.kernel.model,com.lif
 eray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lif
 eray.osgi.service.tracker.collections.map,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.notifications,com.liferay.portal.kernel.
 poller,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.schedu
 ler.messaging,com.liferay.portal.kernel.search,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.security.permission
 .propagator,com.liferay.portal.kernel.servlet,com.liferay.portal.kern
 el.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.portal.
 kernel.template,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.trash,com.liferay.portal.kernel.util,com.liferay.portal.kernel.w
 ebdav,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.xm
 l,com.liferay.portal.kernel.xmlrpc,com.liferay.social.kernel.model,ja
 vax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.serv
 let,javax.servlet.http",com.liferay.portal.kernel.portlet.async;versi
 on="1.0.1";uses:="javax.portlet",com.liferay.portal.kernel.portlet.br
 idges.mvc;version="6.0.0";uses:="com.liferay.portal.kernel.portlet,ja
 vax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc.constants;
 version="1.0.0",com.liferay.portal.kernel.portlet.configuration.icon;
 version="2.0.0";uses:="com.liferay.osgi.service.tracker.collections.m
 ap,com.liferay.portal.kernel.model,javax.portlet,javax.servlet,javax.
 servlet.http,org.osgi.framework",com.liferay.portal.kernel.portlet.co
 nfiguration.icon.locator;version="1.0.0";uses:="javax.portlet",com.li
 feray.portal.kernel.portlet.constants;version="1.3.0",com.liferay.por
 tal.kernel.portlet.toolbar;version="1.0.0";uses:="com.liferay.portal.
 kernel.servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.por
 tlet.toolbar.contributor;version="1.1.0";uses:="com.liferay.portal.ke
 rnel.servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.portl
 et.toolbar.contributor.locator;version="1.0.0";uses:="com.liferay.por
 tal.kernel.portlet.toolbar.contributor,javax.portlet",com.liferay.por
 tal.kernel.portletdisplaytemplate;version="6.4.1";uses:="com.liferay.
 dynamic.data.mapping.kernel,com.liferay.portal.kernel.template,javax.
 servlet.http",com.liferay.portal.kernel.portletfilerepository;version
 ="3.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.repository.model,com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.portal
 .kernel.process;version="8.0.0";uses:="com.liferay.portal.kernel.conc
 urrent,com.liferay.portal.kernel.io",com.liferay.portal.kernel.proces
 s.local;version="2.0.0";uses:="com.liferay.portal.kernel.concurrent,c
 om.liferay.portal.kernel.process",com.liferay.portal.kernel.redirect;
 version="1.0.0",com.liferay.portal.kernel.regex;version="1.0.0",com.l
 iferay.portal.kernel.repository;version="12.1.0";uses:="com.liferay.a
 sset.kernel.service,com.liferay.document.library.kernel.model,com.lif
 eray.document.library.kernel.service,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.repository.capabilities,com.liferay.portal.ke
 rnel.repository.model,com.liferay.portal.kernel.resource.bundle,com.l
 iferay.portal.kernel.search,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.util",com.liferay.portal.kernel.repository.capabil
 ities;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.repository,com.liferay.portal.kernel.repository
 .event,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.util",com.liferay.portal.ker
 nel.repository.event;version="1.1.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.repository.model,com.liferay.por
 tal.kernel.repository.registry",com.liferay.portal.kernel.repository.
 friendly.url.resolver;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.repository.model",com.liferay.p
 ortal.kernel.repository.http.header.customizer;version="1.0.0";uses:=
 "com.liferay.portal.kernel.repository.model",com.liferay.portal.kerne
 l.repository.model;version="11.0.0";uses:="com.liferay.expando.kernel
 .model,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.lo
 ck,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposito
 ry.capabilities,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.util",com.liferay.portal.kernel.repository.proxy;v
 ersion="6.1.0";uses:="com.liferay.asset.kernel.service,com.liferay.do
 cument.library.kernel.model,com.liferay.document.library.kernel.servi
 ce,com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.l
 ar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.lock
 ,com.liferay.portal.kernel.repository,com.liferay.portal.kernel.repos
 itory.capabilities,com.liferay.portal.kernel.repository.model,com.lif
 eray.portal.kernel.search,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util",
 com.liferay.portal.kernel.repository.registry;version="1.1.0";uses:="
 com.liferay.portal.kernel.repository,com.liferay.portal.kernel.reposi
 tory.capabilities,com.liferay.portal.kernel.repository.event",com.lif
 eray.portal.kernel.repository.search;version="7.0.0";uses:="com.lifer
 ay.portal.kernel.search",com.liferay.portal.kernel.repository.util;ve
 rsion="3.1.0";uses:="com.liferay.portal.kernel.repository.model",com.
 liferay.portal.kernel.resource;version="6.3.0",com.liferay.portal.ker
 nel.resource.bundle;version="1.0.0",com.liferay.portal.kernel.resourc
 e.manager;version="1.0.0";uses:="com.liferay.portal.kernel.resource",
 com.liferay.portal.kernel.sanitizer;version="8.0.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.portal.kernel.scheduler;versio
 n="10.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.messaging,com.liferay.portal.kernel.messaging.proxy,com.li
 feray.portal.kernel.scheduler.messaging,com.liferay.portal.kernel.uti
 l,javax.portlet",com.liferay.portal.kernel.scheduler.config;version="
 7.0.0";uses:="com.liferay.portal.kernel.scheduler",com.liferay.portal
 .kernel.scheduler.messaging;version="8.0.0";uses:="com.liferay.portal
 .kernel.messaging,com.liferay.portal.kernel.scheduler",com.liferay.po
 rtal.kernel.scripting;version="8.0.0";uses:="com.liferay.portal.kerne
 l.exception,javax.portlet",com.liferay.portal.kernel.search;version="
 13.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.expando.ker
 nel.model,com.liferay.petra.function,com.liferay.petra.string,com.lif
 eray.portal.kernel.backgroundtask,com.liferay.portal.kernel.comment,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com
 .liferay.portal.kernel.messaging,com.liferay.portal.kernel.messaging.
 proxy,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portl
 et,com.liferay.portal.kernel.repository.model,com.liferay.portal.kern
 el.search.facet,com.liferay.portal.kernel.search.filter,com.liferay.p
 ortal.kernel.search.geolocation,com.liferay.portal.kernel.search.mess
 aging,com.liferay.portal.kernel.search.query,com.liferay.portal.kerne
 l.search.suggest,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.theme,com.liferay.portal.kernel.xml,javax.portlet
 ,javax.servlet.http",com.liferay.portal.kernel.search.analysis;versio
 n="2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal
 .kernel.search.background.task;version="2.0.0",com.liferay.portal.ker
 nel.search.dummy;version="3.0.0";uses:="com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel
 .search.suggest,com.liferay.portal.kernel.security.permission,javax.p
 ortlet",com.liferay.portal.kernel.search.facet;version="8.0.0";uses:=
 "com.liferay.portal.kernel.json,com.liferay.portal.kernel.search,com.
 liferay.portal.kernel.search.facet.collector,com.liferay.portal.kerne
 l.search.facet.config,com.liferay.portal.kernel.search.facet.util,com
 .liferay.portal.kernel.search.filter",com.liferay.portal.kernel.searc
 h.facet.collector;version="6.3.0",com.liferay.portal.kernel.search.fa
 cet.config;version="8.0.0";uses:="com.liferay.portal.kernel.json",com
 .liferay.portal.kernel.search.facet.faceted.searcher;version="2.0.0";
 uses:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.se
 arch.facet.util;version="7.0.0";uses:="com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.search.facet",com.liferay.portal.kernel.
 search.filter;version="1.0.0";uses:="com.liferay.portal.kernel.search
 ,com.liferay.portal.kernel.search.geolocation",com.liferay.portal.ker
 nel.search.generic;version="3.0.0";uses:="com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.search.filter,com.liferay.portal.kern
 el.search.query",com.liferay.portal.kernel.search.geolocation;version
 ="1.0.0",com.liferay.portal.kernel.search.highlight;version="1.0.0";u
 ses:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.sea
 rch.hits;version="2.0.0";uses:="com.liferay.portal.kernel.search",com
 .liferay.portal.kernel.search.messaging;version="7.0.0";uses:="com.li
 feray.portal.kernel.messaging.proxy,com.liferay.portal.kernel.search"
 ,com.liferay.portal.kernel.search.query;version="1.0.0";uses:="com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.search.generic",
 com.liferay.portal.kernel.search.queue;version="3.1.0";uses:="com.lif
 eray.portal.kernel.search",com.liferay.portal.kernel.search.reindexer
 ;version="1.0.0",com.liferay.portal.kernel.search.result;version="1.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.search,javax.portlet",com.liferay.portal.kernel.search.suggest;ve
 rsion="3.1.0";uses:="com.liferay.portal.kernel.messaging.proxy,com.li
 feray.portal.kernel.search",com.liferay.portal.kernel.security;versio
 n="6.2.0",com.liferay.portal.kernel.security.access.control;version="
 2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.security.auth,com.liferay.portal.kernel.security.auth.verifier
 ,javax.servlet.http",com.liferay.portal.kernel.security.auth;version=
 "5.0.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.security.auth.verifier,com.liferay.portal
 .kernel.security.permission,javax.servlet.http,org.osgi.framework,org
 .osgi.util.tracker",com.liferay.portal.kernel.security.auth.http;vers
 ion="1.1.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.
 http",com.liferay.portal.kernel.security.auth.session;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.exception,javax.servlet.http",com.l
 iferay.portal.kernel.security.auth.tunnel;version="1.0.0";uses:="com.
 liferay.portal.kernel.security.auth,javax.servlet.http",com.liferay.p
 ortal.kernel.security.auth.verifier;version="2.0.0";uses:="com.lifera
 y.portal.kernel.security.auth",com.liferay.portal.kernel.security.aut
 o.login;version="2.0.0";uses:="com.liferay.portal.kernel.exception,ja
 vax.servlet.http",com.liferay.portal.kernel.security.exportimport;ver
 sion="1.0.0",com.liferay.portal.kernel.security.jaas;version="7.0.0";
 uses:="javax.security.auth,javax.security.auth.callback,javax.securit
 y.auth.login,javax.security.auth.spi",com.liferay.portal.kernel.secur
 ity.ldap;version="2.0.0";uses:="javax.naming.directory",com.liferay.p
 ortal.kernel.security.membershippolicy;version="1.0.0";uses:="com.lif
 eray.asset.kernel.model,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.security.pe
 rmission;version="6.1.0";uses:="com.liferay.petra.sql.dsl,com.liferay
 .petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.security.permission.contributor,com.liferay.portal.kern
 el.security.permission.propagator,com.liferay.portal.kernel.xml,javax
 .servlet.http",com.liferay.portal.kernel.security.permission.comparat
 or;version="1.0.0",com.liferay.portal.kernel.security.permission.cont
 ributor;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.security.permission",com.liferay.portal.kernel.se
 curity.permission.propagator;version="1.0.0";uses:="com.liferay.porta
 l.kernel.exception,javax.portlet",com.liferay.portal.kernel.security.
 permission.resource;version="2.0.0";uses:="com.liferay.exportimport.k
 ernel.staging.permission,com.liferay.petra.function,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.auth,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.workflow.p
 ermission",com.liferay.portal.kernel.security.permission.resource.def
 inition;version="1.0.1";uses:="com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.security.perm
 ission.resource",com.liferay.portal.kernel.security.permission.wrappe
 r;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.security.permission,com.liferay.portal.kernel.security.
 permission.contributor",com.liferay.portal.kernel.security.pwd;versio
 n="3.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model",com.liferay.portal.kernel.security.service.access.po
 licy;version="1.1.0",com.liferay.portal.kernel.security.sso;version="
 1.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.security.
 xml;version="1.0.0";uses:="javax.xml.parsers,javax.xml.stream,org.xml
 .sax",com.liferay.portal.kernel.service;version="13.1.0";uses:="com.l
 iferay.announcements.kernel.model,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.petra.function,com.life
 ray.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,
 com.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.c
 luster,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.messaging.async,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.notifications,com.liferay.p
 ortal.kernel.plugin,com.liferay.portal.kernel.portlet,com.liferay.por
 tal.kernel.repository.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.security.access.control,com.liferay.portal.kernel.s
 ecurity.auth,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service.change.tracking,com.liferay.portal.kernel.ser
 vice.configuration,com.liferay.portal.kernel.service.permission,com.l
 iferay.portal.kernel.service.persistence,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.settings,
 com.liferay.portal.kernel.spring.aop,com.liferay.portal.kernel.system
 event,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.trans
 action,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.up
 load,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,jav
 ax.portlet,javax.servlet,javax.servlet.http",com.liferay.portal.kerne
 l.service.change.tracking;version="1.0.0";uses:="com.liferay.petra.fu
 nction,com.liferay.portal.kernel.model.change.tracking,com.liferay.po
 rtal.kernel.service.persistence.change.tracking,com.liferay.portal.ke
 rnel.transaction",com.liferay.portal.kernel.service.configuration;ver
 sion="1.1.1",com.liferay.portal.kernel.service.configuration.servlet;
 version="1.1.0";uses:="com.liferay.portal.kernel.service.configuratio
 n,javax.servlet",com.liferay.portal.kernel.service.http;version="1.0.
 0";uses:="com.liferay.portal.kernel.security.auth,com.liferay.portal.
 kernel.util",com.liferay.portal.kernel.service.permission;version="5.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.auth,com.liferay.portal
 .kernel.security.permission,javax.portlet,javax.servlet.http",com.lif
 eray.portal.kernel.service.persistence;version="13.1.0";uses:="com.li
 feray.petra.sql.dsl.query,com.liferay.portal.kernel.dao.db,com.lifera
 y.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.util,javax.sql",com.liferay.portal.kernel.service.persistence.
 change.tracking;version="1.4.0";uses:="com.liferay.portal.kernel.chan
 ge.tracking,com.liferay.portal.kernel.model.change.tracking,com.lifer
 ay.portal.kernel.service.persistence",com.liferay.portal.kernel.servi
 ce.persistence.change.tracking.helper;version="1.1.0";uses:="com.life
 ray.portal.kernel.model.change.tracking",com.liferay.portal.kernel.se
 rvice.persistence.impl;version="4.0.0";uses:="com.liferay.petra.sql.d
 sl,com.liferay.petra.sql.dsl.query,com.liferay.petra.string,com.lifer
 ay.portal.kernel.configuration,com.liferay.portal.kernel.dao.db,com.l
 iferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.service.persistence,com.liferay.portal.kernel.util
 ,javax.sql",com.liferay.portal.kernel.service.version;version="1.1.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .model.version",com.liferay.portal.kernel.servlet;version="11.1.0";us
 es:="com.liferay.petra.string,com.liferay.portal.kernel.log,com.lifer
 ay.portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http"
 ,com.liferay.portal.kernel.servlet.filters.compoundsessionid;version=
 "7.0.0";uses:="com.liferay.portal.kernel.servlet,javax.servlet.http",
 com.liferay.portal.kernel.servlet.filters.invoker;version="10.0.0";us
 es:="com.liferay.portal.kernel.util,javax.servlet,javax.servlet.http"
 ,com.liferay.portal.kernel.servlet.taglib;version="8.0.0";uses:="com.
 liferay.petra.string,com.liferay.portal.kernel.log,javax.servlet,java
 x.servlet.http",com.liferay.portal.kernel.servlet.taglib.aui;version=
 "9.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.servlet.taglib.ui;version="6.8.0";uses:=
 "com.liferay.petra.string,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.port
 al.kernel.servlet.taglib.util;version="7.0.0";uses:="com.liferay.petr
 a.string,com.liferay.portal.kernel.util",com.liferay.portal.kernel.se
 ttings;version="3.2.0";uses:="com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.resource.manag
 er,javax.portlet",com.liferay.portal.kernel.settings.definition;versi
 on="1.0.0",com.liferay.portal.kernel.social;version="2.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com
 .liferay.social.kernel.service",com.liferay.portal.kernel.spring.aop;
 version="7.0.0";uses:="com.liferay.portal.kernel.service",com.liferay
 .portal.kernel.spring.orm;version="1.0.0",com.liferay.portal.kernel.s
 pring.osgi;version="2.0.0",com.liferay.portal.kernel.spring.util;vers
 ion="7.0.0",com.liferay.portal.kernel.struts;version="8.0.0";uses:="j
 avax.servlet.http",com.liferay.portal.kernel.systemevent;version="6.2
 .0",com.liferay.portal.kernel.template;version="12.0.0";uses:="com.li
 feray.dynamic.data.mapping.kernel,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal
 .kernel.template.comparator;version="6.2.0";uses:="com.liferay.portal
 .kernel.template",com.liferay.portal.kernel.templateparser;version="8
 .0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.xml",com.liferay.portal.kernel.
 terms.of.use;version="1.0.1";uses:="javax.servlet.http",com.liferay.p
 ortal.kernel.theme;version="9.0.0";uses:="com.liferay.petra.string,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.
 liferay.portal.kernel.mobile.device,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.module.configuration,com.liferay.portal.kern
 el.portlet.configuration.icon,com.liferay.portal.kernel.portlet.toolb
 ar,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifera
 y.portal.kernel.transaction;version="8.1.0",com.liferay.portal.kernel
 .trash;version="12.0.0";uses:="com.liferay.asset.kernel.model,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.
 liferay.portal.kernel.security.permission,com.liferay.portal.kernel.s
 ervice,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,
 javax.portlet",com.liferay.portal.kernel.trash.helper;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.servl
 et.http",com.liferay.portal.kernel.tree;version="2.1.1";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model",com.li
 feray.portal.kernel.upgrade;version="16.2.0";uses:="com.liferay.petra
 .lang,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.ke
 rnel.service,com.liferay.portal.kernel.upgrade.v6_2_0,com.liferay.por
 tal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet",com.life
 ray.portal.kernel.upgrade.util;version="9.0.0";uses:="com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.upgrade,com.liferay.portal
 .kernel.version",com.liferay.portal.kernel.upgrade.v6_2_0;version="12
 .1.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.portal.ke
 rnel.upload;version="9.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.url;ver
 sion="1.0.0";uses:="javax.servlet",com.liferay.portal.kernel.url.vali
 dator;version="1.0.0",com.liferay.portal.kernel.util;version="38.0.0"
 ;uses:="com.liferay.expando.kernel.model,com.liferay.mail.kernel.mode
 l,com.liferay.petra.process,com.liferay.petra.sql.dsl.query.sort,com.
 liferay.petra.string,com.liferay.portal.kernel.configuration,com.life
 ray.portal.kernel.dao.jdbc.aop,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.group.capability,com.liferay.portal.kernel.io
 ,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kernel.json,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.
 liferay.portal.kernel.repository.model,com.liferay.portal.kernel.reso
 urce.bundle,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.settings,com.liferay
 .portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,com.lifera
 y.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.mail,javax
 .mail.internet,javax.portlet,javax.servlet,javax.servlet.http,javax.s
 ql",com.liferay.portal.kernel.util.comparator;version="3.1.0";uses:="
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet.con
 figuration.icon,com.liferay.portal.kernel.util,javax.servlet",com.lif
 eray.portal.kernel.uuid;version="6.2.0",com.liferay.portal.kernel.ver
 ify.model;version="2.0.0",com.liferay.portal.kernel.version;version="
 1.0.0",com.liferay.portal.kernel.view.count;version="1.2.0";uses:="co
 m.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception",com.life
 ray.portal.kernel.webcache;version="6.2.0";uses:="com.liferay.portal.
 kernel.exception",com.liferay.portal.kernel.webdav;version="10.0.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.l
 ock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.securit
 y.permission,com.liferay.portal.kernel.webdav.methods,com.liferay.por
 tal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.webdav.m
 ethods;version="6.2.0";uses:="com.liferay.portal.kernel.webdav,javax.
 servlet.http",com.liferay.portal.kernel.webserver;version="1.0.0",com
 .liferay.portal.kernel.words;version="2.0.0";uses:="com.liferay.porta
 l.kernel.jazzy",com.liferay.portal.kernel.workflow;version="15.0.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.util,com.liferay.portal.kernel.work
 flow.search,javax.portlet,javax.servlet.http",com.liferay.portal.kern
 el.workflow.comparator;version="7.4.0";uses:="com.liferay.portal.kern
 el.messaging.proxy,com.liferay.portal.kernel.util,com.liferay.portal.
 kernel.workflow",com.liferay.portal.kernel.workflow.messaging;version
 ="7.1.0";uses:="com.liferay.portal.kernel.messaging",com.liferay.port
 al.kernel.workflow.permission;version="7.0.0";uses:="com.liferay.port
 al.kernel.security.permission",com.liferay.portal.kernel.workflow.sea
 rch;version="1.0.0";uses:="com.liferay.portal.kernel.workflow",com.li
 feray.portal.kernel.xml;version="7.0.2";uses:="org.xml.sax",com.lifer
 ay.portal.kernel.xml.simple;version="6.2.0",com.liferay.portal.kernel
 .xmlrpc;version="6.2.0";uses:="com.liferay.portal.kernel.exception",c
 om.liferay.portal.kernel.zip;version="6.4.2",com.liferay.portlet.conf
 iguration.kernel.util;version="1.0.0";uses:="javax.portlet",com.lifer
 ay.ratings.kernel;version="1.2.0",com.liferay.ratings.kernel.definiti
 on;version="1.1.0";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.ratings.kernel",com.liferay.ratings.kernel.display.context;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.ratings.
 kernel,javax.portlet,javax.servlet.http",com.liferay.ratings.kernel.e
 xception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",
 com.liferay.ratings.kernel.model;version="3.0.0";uses:="com.liferay.e
 xportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sq
 l.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.ke
 rnel.bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.m
 odel.change.tracking,com.liferay.portal.kernel.model.wrapper,com.life
 ray.portal.kernel.util",com.liferay.ratings.kernel.service;version="2
 .6.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.fu
 nction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.chan
 ge.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.jsonwebservice,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.
 kernel.security.access.control,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.service.change.tracking,com.liferay.portal.kern
 el.service.persistence.change.tracking,com.liferay.portal.kernel.syst
 emevent,com.liferay.portal.kernel.transaction,com.liferay.portal.kern
 el.util,com.liferay.ratings.kernel.model",com.liferay.ratings.kernel.
 service.persistence;version="4.2.0";uses:="com.liferay.portal.kernel.
 dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.persistence,com.liferay.portal.kernel.service.persistence.chan
 ge.tracking,com.liferay.portal.kernel.util,com.liferay.ratings.kernel
 .exception,com.liferay.ratings.kernel.model",com.liferay.ratings.kern
 el.transformer;version="1.0.0";uses:="com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.util
 ,com.liferay.ratings.kernel,com.liferay.ratings.kernel.model,javax.po
 rtlet",com.liferay.roles.admin.kernel.util;version="2.0.0";uses:="com
 .liferay.portal.kernel.model",com.liferay.sites.kernel.util;version="
 1.3.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service,javax.portlet,javax.servlet.http",com.liferay
 .social.kernel.exception;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.social.kernel.model;version="5.0.0";uses:
 ="com.liferay.asset.kernel.model,com.liferay.petra.sql.dsl,com.lifera
 y.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay
 .portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.util",com.liferay.social.ke
 rnel.model.impl;version="1.0.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.service,com.liferay.portal.kernel.theme,com.liferay.social.k
 ernel.model",com.liferay.social.kernel.service;version="3.0.0";uses:=
 "com.liferay.asset.kernel.model,com.liferay.petra.function,com.lifera
 y.petra.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.l
 iferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,c
 om.liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.search,com.liferay.portal.kernel.securi
 ty.access.control,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.change.tracking,com.liferay.portal.kernel.service.pe
 rsistence.change.tracking,com.liferay.portal.kernel.theme,com.liferay
 .portal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay
 .social.kernel.model",com.liferay.social.kernel.service.permission;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.security.permission",com.liferay.social.kernel.service.
 persistence;version="4.2.0";uses:="com.liferay.portal.kernel.dao.orm,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.p
 ersistence,com.liferay.portal.kernel.service.persistence.change.track
 ing,com.liferay.portal.kernel.util,com.liferay.social.kernel.exceptio
 n,com.liferay.social.kernel.model",com.liferay.social.kernel.util;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.service,com.liferay.soc
 ial.kernel.model,javax.servlet.http",com.liferay.social.kernel.util.c
 omparator;version="1.1.0";uses:="com.liferay.portal.kernel.util,com.l
 iferay.social.kernel.model",com.liferay.trash.kernel.exception;versio
 n="1.1.0";uses:="com.liferay.portal.kernel.exception",com.liferay.tra
 sh.kernel.model;version="4.0.0";uses:="com.liferay.expando.kernel.mod
 el,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bea
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.trash.kernel.service;versi
 on="1.5.0";uses:="com.liferay.petra.sql.dsl.query,com.liferay.portal.
 kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.jsonwebservice,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.security.access.control,com.liferay.portal.kernel.s
 ecurity.auth,com.liferay.portal.kernel.service,com.liferay.portal.ker
 nel.transaction,com.liferay.portal.kernel.util,com.liferay.trash.kern
 el.model",com.liferay.trash.kernel.service.persistence;version="1.4.0
 ";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.service.persistence,com.liferay.por
 tal.kernel.util,com.liferay.trash.kernel.exception,com.liferay.trash.
 kernel.model",com.liferay.users.admin.kernel.file.uploads;version="2.
 0.0",com.liferay.users.admin.kernel.organization.types;version="1.0.1
 ",com.liferay.users.admin.kernel.util;version="2.0.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.security.permission
 ,com.liferay.portal.kernel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: 4a89cd087313c-dirty
Git-SHA: 4a89cd087313c05b68b85090fe4c3f7844072fd4
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[3.0,3.1)",com
 .liferay.asset.kernel.exception;version="[2.3,3)",com.liferay.asset.k
 ernel.model;version="[8.0,8.1)",com.liferay.asset.kernel.service;vers
 ion="[7.1,7.2)",com.liferay.asset.kernel.service.persistence;version=
 "[9.0,10)",com.liferay.counter.kernel.service;version="[2.1,2.2)",com
 .liferay.document.library.kernel.exception;version="[3.4,4)",com.life
 ray.document.library.kernel.model;version="[6.0,6.1)",com.liferay.doc
 ument.library.kernel.service;version="[6.2,6.3)",com.liferay.document
 .library.kernel.store;version="[3.0,4)",com.liferay.document.library.
 kernel.util;version="[7.0,8)",com.liferay.dynamic.data.mapping.kernel
 ;version="[2.0,3)",com.liferay.expando.kernel.exception;version="[1.1
 ,2)",com.liferay.expando.kernel.model;version="[4.1,4.2)",com.liferay
 .expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.kerne
 l.exception;version="[2.0,3)",com.liferay.exportimport.kernel.model;v
 ersion="[4.0,4.1)",com.liferay.exportimport.kernel.service;version="[
 2.7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.2,3)",c
 om.liferay.exportimport.kernel.staging.permission;version="[1.0,2)",c
 om.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay.ma
 il.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;ver
 sion="[2.0,3)",com.liferay.mail.kernel.template;version="[2.0,3)",com
 .liferay.osgi.service.tracker.collections.list,com.liferay.osgi.servi
 ce.tracker.collections.map,com.liferay.petra.concurrent,com.liferay.p
 etra.executor,com.liferay.petra.function,com.liferay.petra.io.unsync,
 com.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio
 ,com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.bas
 e,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.quer
 y,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.
 ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.ds
 l.spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annota
 tion;version="[7.0,8)",com.liferay.portal.kernel.application.type;ver
 sion="[1.0,2)",com.liferay.portal.kernel.backgroundtask;version="[9.0
 ,10)",com.liferay.portal.kernel.backgroundtask.display;version="[2.0,
 2.1)",com.liferay.portal.kernel.bean;version="[10.0,11)",com.liferay.
 portal.kernel.cache.thread.local;version="[2.0,3)",com.liferay.portal
 .kernel.change.tracking;version="[2.1,3)",com.liferay.portal.kernel.c
 omment;version="[4.0,4.1)",com.liferay.portal.kernel.concurrent;versi
 on="[8.0,9)",com.liferay.portal.kernel.configuration;version="[7.0,8)
 ",com.liferay.portal.kernel.dao.db;version="[10.1,11)",com.liferay.po
 rtal.kernel.dao.jdbc.aop;version="[7.0,8)",com.liferay.portal.kernel.
 dao.orm;version="[11.0,11.1)",com.liferay.portal.kernel.dao.search;ve
 rsion="[9.0,10)",com.liferay.portal.kernel.deploy.auto.context;versio
 n="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.1,8)",co
 m.liferay.portal.kernel.exception;version="[12.0,13)",com.liferay.por
 tal.kernel.image;version="[9.0,10)",com.liferay.portal.kernel.increme
 nt;version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",
 com.liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.por
 tal.kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.mode
 l;version="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",
 com.liferay.portal.kernel.json;version="[10.1,11)",com.liferay.portal
 .kernel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel.l
 anguage;version="[10.0,11)",com.liferay.portal.kernel.language.consta
 nts;version="[1.0,2)",com.liferay.portal.kernel.layoutconfiguration.u
 til.xml;version="[1.0,2)",com.liferay.portal.kernel.license;version="
 [1.0,2)",com.liferay.portal.kernel.lock;version="[8.0,9)",com.liferay
 .portal.kernel.log;version="[7.1,8)",com.liferay.portal.kernel.manage
 ment;version="[8.0,9)",com.liferay.portal.kernel.messaging;version="[
 11.1,11.2)",com.liferay.portal.kernel.messaging.async;version="[6.2,7
 )",com.liferay.portal.kernel.messaging.proxy;version="[10.0,11)",com.
 liferay.portal.kernel.messaging.sender;version="[8.0,9)",com.liferay.
 portal.kernel.mobile.device;version="[9.0,9.1)",com.liferay.portal.ke
 rnel.model.adapter.builder;version="[1.0,2)",com.liferay.portal.kerne
 l.model.change.tracking;version="[2.0,3)",com.liferay.portal.kernel.m
 odel.impl;version="[6.0,7)",com.liferay.portal.kernel.model.portlet;v
 ersion="[2.0,3)",com.liferay.portal.kernel.model.version;version="[3.
 0,4)",com.liferay.portal.kernel.model.wrapper;version="[2.0,3)",com.l
 iferay.portal.kernel.module.configuration;version="[2.0,3)",com.lifer
 ay.portal.kernel.module.framework;version="[1.4,2)",com.liferay.porta
 l.kernel.plugin;version="[7.0,8)",com.liferay.portal.kernel.poller;ve
 rsion="[7.0,8)",com.liferay.portal.kernel.pop;version="[7.0,8)",com.l
 iferay.portal.kernel.portlet.bridges.mvc.constants;version="[1.0,2)",
 com.liferay.portal.kernel.portlet.configuration.icon.locator;version=
 "[1.0,2)",com.liferay.portal.kernel.portlet.toolbar.contributor;versi
 on="[1.1,2)",com.liferay.portal.kernel.portlet.toolbar.contributor.lo
 cator;version="[1.0,2)",com.liferay.portal.kernel.process;version="[8
 .0,9)",com.liferay.portal.kernel.repository;version="[12.1,13)",com.l
 iferay.portal.kernel.repository.capabilities;version="[2.0,2.1)",com.
 liferay.portal.kernel.repository.event;version="[1.1,2)",com.liferay.
 portal.kernel.repository.http.header.customizer;version="[1.0,2)",com
 .liferay.portal.kernel.repository.model;version="[11.0,11.1)",com.lif
 eray.portal.kernel.repository.registry;version="[1.1,2)",com.liferay.
 portal.kernel.repository.search;version="[7.0,8)",com.liferay.portal.
 kernel.resource;version="[6.3,7)",com.liferay.portal.kernel.resource.
 manager;version="[1.0,2)",com.liferay.portal.kernel.scheduler;version
 ="[10.1,11)",com.liferay.portal.kernel.scheduler.messaging;version="[
 8.0,9)",com.liferay.portal.kernel.search.background.task;version="[2.
 0,3)",com.liferay.portal.kernel.search.dummy;version="[3.0,4)",com.li
 feray.portal.kernel.search.facet;version="[8.0,9)",com.liferay.portal
 .kernel.search.facet.collector;version="[6.3,7)",com.liferay.portal.k
 ernel.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel
 .search.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search
 .filter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;ve
 rsion="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version=
 "[1.0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)
 ",com.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay
 .portal.kernel.search.messaging;version="[7.0,8)",com.liferay.portal.
 kernel.search.query;version="[1.0,2)",com.liferay.portal.kernel.searc
 h.result;version="[1.0,2)",com.liferay.portal.kernel.search.suggest;v
 ersion="[3.1,4)",com.liferay.portal.kernel.security;version="[6.2,7)"
 ,com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)",com
 .liferay.portal.kernel.security.auth.verifier;version="[2.0,3)",com.l
 iferay.portal.kernel.security.permission.contributor;version="[1.0,2)
 ",com.liferay.portal.kernel.security.permission.propagator;version="[
 1.0,2)",com.liferay.portal.kernel.security.permission.resource.defini
 tion;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;version
 ="[3.0,4)",com.liferay.portal.kernel.security.xml;version="[1.0,2)",c
 om.liferay.portal.kernel.service.change.tracking;version="[1.0,2)",co
 m.liferay.portal.kernel.service.configuration;version="[1.1,1.2)",com
 .liferay.portal.kernel.service.persistence;version="[13.1,14)",com.li
 feray.portal.kernel.service.persistence.change.tracking;version="[1.4
 ,2)",com.liferay.portal.kernel.servlet.filters.compoundsessionid;vers
 ion="[7.0,8)",com.liferay.portal.kernel.settings;version="[3.2,4)",co
 m.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.port
 al.kernel.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.spri
 ng.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemevent;versi
 on="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="[1.0,2)"
 ,com.liferay.portal.kernel.upgrade;version="[16.2,17)",com.liferay.po
 rtal.kernel.upgrade.util;version="[9.0,10)",com.liferay.portal.kernel
 .upgrade.v6_2_0;version="[12.1,13)",com.liferay.portal.kernel.upload;
 version="[9.0,10)",com.liferay.portal.kernel.util.comparator;version=
 "[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",com.lifera
 y.portal.kernel.version;version="[1.0,2)",com.liferay.portal.kernel.w
 ebdav.methods;version="[6.2,7)",com.liferay.portal.kernel.webserver;v
 ersion="[1.0,2)",com.liferay.portal.kernel.workflow.permission;versio
 n="[7.0,8)",com.liferay.portal.kernel.workflow.search;version="[1.0,2
 )",com.liferay.portal.kernel.xml;version="[7.0,7.1)",com.liferay.port
 al.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.kernel.xmlr
 pc;version="[6.2,7)",com.liferay.portal.kernel.zip;version="[6.4,7)",
 com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.ratings.kern
 el.exception;version="[1.0,2)",com.liferay.ratings.kernel.model;versi
 on="[3.0,3.1)",com.liferay.ratings.kernel.service;version="[2.6,2.7)"
 ,com.liferay.ratings.kernel.transformer;version="[1.0,2)",com.liferay
 .sites.kernel.util;version="[1.3,2)",com.liferay.social.kernel.except
 ion;version="[1.0,2)",com.liferay.social.kernel.model;version="[5.0,5
 .1)",com.liferay.social.kernel.service;version="[3.0,3.1)",com.lifera
 y.social.kernel.service.persistence;version="[4.2,5)",com.liferay.tra
 sh.kernel.exception;version="[1.1,2)",com.liferay.trash.kernel.model;
 version="[4.0,4.1)",com.liferay.users.admin.kernel.file.uploads;versi
 on="[2.0,3)",javax.mail,javax.mail.internet,javax.management,javax.na
 ming,javax.naming.directory,javax.net.ssl,javax.portlet,javax.portlet
 .annotations,javax.portlet.filter,javax.security.auth,javax.security.
 auth.callback,javax.security.auth.login,javax.security.auth.spi,javax
 .servlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xml.p
 arsers,javax.xml.stream,org.osgi.framework,org.osgi.util.tracker,org.
 xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Jul 01 00:00:00 PDT 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Wed Apr 3 03:58:26 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 31 (Cavanaugh / Build 7413 / July 1, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 31
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
